# $Revision: 1.11 $, $Date: 2010/06/03 12:17:50 $

%define		realver	61

Summary:	Instrument Neutral Distributed Interface
Name:		libindi
Version:	0.6.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/indi/%{name}0_%{realver}.tar.gz
# Source0-md5:	005e6ae3bc6fc1eeb5aa7700a65e2584
URL:		http://indi.sourceforge.net/
BuildRequires:	cfitsio-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	libnova-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Obsoletes:	indilib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
INDI is a distributed control protocol designed to operate
astronomical instrumentation. INDI is small, flexible, easy to parse,
and scalable. It supports common DCS functions such as remote control,
data acquisition, monitoring, and a lot more.

With INDI, you have a total transparent control over your instruments
so you can get more science with less time.

%package devel
Summary:	Header files and static libraries from indilib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	indilib-devel

%description devel
Libraries and includes files for developing programs based on indilib.

%package static
Summary:	Static indilib library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	indilib-static

%description static
Static indilib library.

%prep
%setup -q -n %{name}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_POSTFIX=64 \
	-DLIB_SUFFIX=64 \
%endif
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README* TODO
%attr(755,root,root) %{_bindir}/indi_celestron_gps
%attr(755,root,root) %{_bindir}/indi_eval
%attr(755,root,root) %{_bindir}/indi_getprop
%attr(755,root,root) %{_bindir}/indi_intelliscope
%attr(755,root,root) %{_bindir}/indi_lx200basic
%attr(755,root,root) %{_bindir}/indi_lx200generic
%attr(755,root,root) %{_bindir}/indi_meade_lpi
%attr(755,root,root) %{_bindir}/indi_orion_atlas
%attr(755,root,root) %{_bindir}/indi_robofocus
%attr(755,root,root) %{_bindir}/indi_sbig_stv
%attr(755,root,root) %{_bindir}/indi_setprop
%attr(755,root,root) %{_bindir}/indi_skycommander
%attr(755,root,root) %{_bindir}/indi_temma
%attr(755,root,root) %{_bindir}/indi_trutech_wheel
%attr(755,root,root) %{_bindir}/indi_v4l_generic
%attr(755,root,root) %{_bindir}/indi_v4l_philips
%attr(755,root,root) %{_bindir}/indiserver
%attr(755,root,root) %ghost %{_libdir}/libindi.so.0
%attr(755,root,root) %{_libdir}/libindi.so.*.*
%{_datadir}/indi/drivers.xml
%dir %{_datadir}/indi

%files devel
%defattr(644,root,root,755)
%{_includedir}/libindi
%{_libdir}/libindi.so
%{_pkgconfigdir}/libindi.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libindidriver.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libindi.spec,v $
Revision 1.11  2010/06/03 12:17:50  sparky
- fixed .pc file placement on 64bit archs
- BR: pkgconfig
- dropped BR: libusb-compat-devel

Revision 1.10  2010/05/28 19:21:42  shadzik
- 0.6.1

Revision 1.9  2010/05/28 19:12:10  shadzik
- URL in proper place

Revision 1.8  2009/03/02 21:56:07  arekm
- release 3

Revision 1.7  2009/02/06 16:33:36  hawk
- O: indilib

Revision 1.6  2009/02/06 16:31:12  hawk
- fixed x86_64 build

Revision 1.5  2009/01/05 20:34:52  glen
- update to 0.6, rename to libindi

Revision 1.4  2009/01/05 00:36:54  glen
- release 3

Revision 1.3  2008/07/27 12:05:43  paszczus
- added -gcc-4.3.patch to proper build with newer gcc

Revision 1.2  2008/07/26 16:50:16  paszczus
- attr 755 for .so

Revision 1.1  2008/07/26 13:00:33  paszczus
- initial spec
